RowIdLifetime (Java SE 23 & JDK 23)
Description: declaration: module: java.sql, package: java.sql, enum: RowIdLifetime
Keywords: java.sql.RowIdLifetime class

# Enum Class RowIdLifetime

java.lang.Object
java.lang.Enum<RowIdLifetime>
java.sql.RowIdLifetime

All Implemented Interfaces:
  `Serializable`, `Comparable<RowIdLifetime>`, `Constable`

public enum RowIdLifetime extends Enum<RowIdLifetime>
Enumeration for RowId life-time values.

Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ROWID_UNSUPPORTED`
  Indicates that this data source does not support the ROWID type.
  `ROWID_VALID_FOREVER`
  Indicates that the lifetime of a RowId from this data source is, effectively, unlimited.
  `ROWID_VALID_OTHER`
  Indicates that the lifetime of a RowId from this data source is indeterminate; but not one of ROWID_VALID_TRANSACTION, ROWID_VALID_SESSION, or, ROWID_VALID_FOREVER.
  `ROWID_VALID_SESSION`
  Indicates that the lifetime of a RowId from this data source is at least the containing session.
  `ROWID_VALID_TRANSACTION`
  Indicates that the lifetime of a RowId from this data source is at least the containing transaction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RowIdLifetime`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RowIdLifetime[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ROWID_UNSUPPORTED

    public static final RowIdLifetime ROWID_UNSUPPORTED
    Indicates that this data source does not support the ROWID type.

  - ### ROWID_VALID_OTHER

    public static final RowIdLifetime ROWID_VALID_OTHER
    Indicates that the lifetime of a RowId from this data source is indeterminate; but not one of ROWID_VALID_TRANSACTION, ROWID_VALID_SESSION, or, ROWID_VALID_FOREVER.

  - ### ROWID_VALID_SESSION

    public static final RowIdLifetime ROWID_VALID_SESSION
    Indicates that the lifetime of a RowId from this data source is at least the containing session.

  - ### ROWID_VALID_TRANSACTION

    public static final RowIdLifetime ROWID_VALID_TRANSACTION
    Indicates that the lifetime of a RowId from this data source is at least the containing transaction.

  - ### ROWID_VALID_FOREVER

    public static final RowIdLifetime ROWID_VALID_FOREVER
    Indicates that the lifetime of a RowId from this data source is, effectively, unlimited.

- ## Method Details

  - ### values

    public static RowIdLifetime[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RowIdLifetime valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null